ランタイム: Mix::Dynamics::IObjectDragger Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IObjectDragger Class Referenceabstract

オブジェクドラッガートインターフェース More...

`#include <IObjectDragger.h>`

Inheritance diagram for Mix::Dynamics::IObjectDragger:
[legend]
Collaboration diagram for Mix::Dynamics::IObjectDragger:
[legend]

## Public Member Functions

virtual void | GetWorld (Mix::Dynamics::IWorld **ppWorld)=0
| キャッチするオブジェクトが存在するワールドを取得します More...
virtual UInt16 | GetCatchFilter (void) const =0
| キャッチする際のフィルターを取得します More...
virtual void | SetCatchFilter (UInt16 filter)=0
| キャッチする際のフィルターを設定します More...
virtual Boolean | IsCatch (void) const =0
| オブジェクトをキャッチしているかどうかを取得します More...
virtual Boolean | GetCatchObject (Mix::Dynamics::IObject **ppObject)=0
| キャッチしているオブジェクトを取得します More...
virtual Boolean | CatchStart (const Mix::Vector3 &eyePos, const Mix::Vector3 &rayFrom, const Mix::Vector3 &rayTo)=0
| ワールドのオブジェクトをキャッチします More...
virtual void | CatchContinue (const Mix::Vector3 &eyePos, const Mix::Vector3 &rayTo)=0
| 更新を行います More...
virtual void | Free (void)=0
| キャッチしているオブジェクトを解放します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IObjectDragger (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

オブジェクドラッガートインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IObjectDragger::~IObjectDragger | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Dynamics::IObjectDragger::GetWorld | ( | Mix::Dynamics::IWorld ** | ppWorld | ) |

pure virtual

キャッチするオブジェクトが存在するワールドを取得します

Parameters

  [out] | ppWorld | ワールドを表す Mix::Dynamics::IWorld インターフェースのポインタのアドレス

virtual UInt16 Mix::Dynamics::IObjectDragger::GetCatchFilter | ( | void |  | ) | const

pure virtual

キャッチする際のフィルターを取得します

Returns
  フィルターを返します

virtual void Mix::Dynamics::IObjectDragger::SetCatchFilter | ( | UInt16 | filter | ) |

pure virtual

キャッチする際のフィルターを設定します

Parameters

  [in] | filter | フィルター

Note
  設定する値はダイナミクスのワールドにオブジェクトを追加する際に設定したフィルターグループになります

virtual Boolean Mix::Dynamics::IObjectDragger::IsCatch | ( | void |  | ) | const

pure virtual

オブジェクトをキャッチしているかどうかを取得します

Returns
  キャッチしている場合は True を返します

virtual Boolean Mix::Dynamics::IObjectDragger::GetCatchObject | ( | Mix::Dynamics::IObject ** | ppObject | ) |

pure virtual

キャッチしているオブジェクトを取得します

Parameters

  [out] | ppObject | キャッチしているオブジェクトを表す Mix::Dynamics::IObject インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Dynamics::IObjectDragger::CatchStart | ( | const Mix::Vector3 & | eyePos,
|  | const Mix::Vector3 & | rayFrom,
|  | const Mix::Vector3 & | rayTo
| ) |  |

pure virtual

ワールドのオブジェクトをキャッチします

Parameters

  [in] | eyePos | 視点を表す Mix::Vector3 クラス
  [in] | rayFrom | 交差判定を行うレイの始点を表す Mix::Vector3 クラス
  [in] | rayTo | 交差判定を行うレイの終点を表す Mix::Vector3 クラス

Returns
  成功した場合は True を返します

Note
  キャッチできるオブジェクトはリジッドボディに限定されます

virtual void Mix::Dynamics::IObjectDragger::CatchContinue | ( | const Mix::Vector3 & | eyePos,
|  | const Mix::Vector3 & | rayTo
| ) |  |

pure virtual

更新を行います

Parameters

  [in] | eyePos | 視点を表す Mix::Vector3 クラス
  [in] | rayTo | 交差判定を行うレイの終点を表す Mix::Vector3 クラス

Note
  キャッチしている最中は常に呼び出す必要があります

virtual void Mix::Dynamics::IObjectDragger::Free | ( | void |  | ) |

pure virtual

キャッチしているオブジェクトを解放します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IObjectDragger.h